Bug 121983 - Remove needsDestruction from vector and hash traits
Summary: Remove needsDestruction from vector and hash traits
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Anders Carlsson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-26 14:34 PDT by Anders Carlsson
Modified: 2018-09-10 21:22 PDT (History)
5 users (show)

See Also:


Attachments
Patch (8.73 KB, patch)
2013-09-26 14:37 PDT, Anders Carlsson
no flags Details | Formatted Diff | Diff
Patch (8.31 KB, patch)
2013-09-26 14:51 PDT, Anders Carlsson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Carlsson 2013-09-26 14:34:09 PDT
Remove needsDestruction from vector and hash traits
Comment 1 Anders Carlsson 2013-09-26 14:37:46 PDT
Created attachment 212749 [details]
Patch
Comment 2 Anders Carlsson 2013-09-26 14:51:06 PDT
Created attachment 212754 [details]
Patch
Comment 3 WebKit Commit Bot 2013-09-26 15:36:08 PDT
Comment on attachment 212754 [details]
Patch

Clearing flags on attachment: 212754

Committed r156507: <http://trac.webkit.org/changeset/156507>
Comment 4 WebKit Commit Bot 2013-09-26 15:36:10 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Csaba Osztrogonác 2013-09-27 01:31:52 PDT
(In reply to comment #3)
> (From update of attachment 212754 [details])
> Clearing flags on attachment: 212754
> 
> Committed r156507: <http://trac.webkit.org/changeset/156507>

buildfixes landed in
- Windows: http://trac.webkit.org/changeset/156516
- GCC: http://trac.webkit.org/changeset/156529

Unfortunately the tree was red and EWS bots wasn't able to notice it in time.
Comment 6 Fujii Hironori 2018-09-10 18:58:10 PDT
Follow-up: Bug 189490 – Remove unused needsDestruction class variables from HashTraits